<?php 

require '../system/start.php'; 
require '../system/functions.php'; 
only_level(3); 
$str['mesto'] = 'Статистика системы'; 
$str['block'] = $set['site'].' / Панель управления / Статистика системы'; 
include '../style/'.$style.'/head.php'; 
 
function dirsize($dir) {  
if (empty($allsize)){$allsize = 0;} 
if ($path = opendir($dir)) { 
while ($file_name = readdir($path)) { 
if (($file_name!=='.') && ($file_name!=='..')){  
if (is_dir($dir."/".$file_name)) {$allsize +=dirsize($dir."/".$file_name);} else { $allsize += filesize($dir."/".$file_name);}  
}}  
closedir ($path);  
} 
return $allsize; 
} 
$result = mysql_query( "SHOW TABLE STATUS" ); 
$dbsize = 0; 
while( $row = mysql_fetch_array( $result ) ) { 
$dbsize += $row[ "Data_length" ] + $row[ "Index_length" ]; 
} 
########################### 
#Подсчет всякой фигни в БД# 
########################### 
$chat_posts = mysql_result(mysql_query("select count(*) from `chat_posts`"),0); 
$chat_questions = mysql_result(mysql_query("select count(*) from `questions`"),0); 
$files = mysql_result(mysql_query("select count(*) from `files_files`"),0); 
$forum_posts = mysql_result(mysql_query("select count(*) from `forum_posts`"),0); 
$lib_text = mysql_result(mysql_query("select count(*) from `lib_text`"),0); 
$gifts = mysql_result(mysql_query("select count(*) from `gifts`"),0); 
$smiles = mysql_result(mysql_query("select count(*) from `smiles`"),0); 
$uins = mysql_result(mysql_query("select count(*) from `uins_uins`"),0); 
$users = mysql_result(mysql_query("select count(*) from `users`"),0); 
 
list ($php_ver1,$php_ver2,$php_ver3)=explode('.', strtok(strtok(phpversion(),'-'),' '), 3); 
if ($php_ver1==5) 
{ 
echo "<div class=\"on\">Версия PHP: $php_ver1.$php_ver2.$php_ver3 (OK)</div>\n"; 
} 
else 
{ 
echo "<div class=\"on\">Версия PHP: $php_ver1.$php_ver2.$php_ver3</div>\n"; 
$err[]="Тестирование на версии php $php_ver1.$php_ver2.$php_ver3 не осуществялось"; 
} 
 
 
 
 
if (function_exists('disk_free_space') && function_exists('disk_total_space')) 
{ 
$free_space=disk_free_space('../'); 
$total_space=disk_total_space('../'); 
if ($free_space>1024*1024*5) 
echo "<div class=\"on\">Свободно: ".size($free_space).' / '.size($total_space)."</div>\n"; 
else 
{ 
echo "<div class=\"on\">Свободно: ".size($free_space).' / '.size($total_space)."</div>\n"; 
$err[]='Мало свободного места на диске'; 
} 
} 
 
 
if (function_exists('set_time_limit'))echo "<div class=\"on\">set_time_limit: OK</div>\n"; 
else echo "<div class=\"on\">set_time_limit: Запрещено</div>\n"; 
 
 
 
if (ini_get('session.use_trans_sid')==true) 
{ 
echo "<div class=\"on\">session.use_trans_sid: OK</div>\n"; 
} 
else 
{ 
echo "<div class=\"on\">session.use_trans_sid: Нет</div>\n"; 
$err[]='Будет теряться сессия на браузерах без поддержки COOKIE'; 
$err[]='Добавьте в корневой .htaccess строку <b>php_value session.use_trans_sid 1</b>'; 
} 
 
 
if (ini_get('magic_quotes_gpc')==0) 
{ 
echo "<div class=\"on\">magic_quotes_gpc: 0 (OK)</div>\n"; 
} 
else 
{ 
echo "<div class=\"on\">magic_quotes_gpc: Включено</div>\n"; 
$err[]='Включено экранирование кавычек'; 
$err[]='Добавьте в корневой .htaccess строку <b>php_value magic_quotes_gpc 0</b>'; 
} 
 
if (ini_get('arg_separator.output')=='&amp;') 
{ 
echo "<div class=\"on\">arg_separator.output: &amp;amp; (OK)</div>\n"; 
} 
else 
{ 
echo "<div class=\"on\">arg_separator.output: ".output_text(ini_get('arg_separator.output'))."</div>\n"; 
$err[]='Возможно появление ошибки xml'; 
$err[]='Добавьте в корневой .htaccess строку <b>php_value arg_separator.output &amp;amp;</b>'; 
} 
 
 
if (function_exists('imagecreatefromstring') && function_exists('gd_info')) 
{ 
$gdinfo=gd_info(); 
echo "<div class=\"on\">GD: ".$gdinfo['GD Version']." OK</div>\n"; 
} 
else 
{ 
echo "<div class=\"on\">GD: Нет</div>\n"; 
$err[]='GD необходима для корректной работы движка'; 
} 
 
 
if (function_exists('mysql_info')) 
{ 
echo "<div class=\"on\">MySQL: OK</div>\n"; 
} 
else 
{ 
echo "<div class=\"on\">MySQL: Нет</div>\n"; 
$err[]='Без MySQL работа не возможна'; 
} 
 
 
if (function_exists('iconv')) 
{ 
echo "<div class=\"on\">Iconv: OK</div>\n"; 
} 
else 
{ 
echo "<div class=\"on\">Iconv: Нет</div>\n"; 
$err[]='Без Iconv работа не возможна'; 
} 
 
if (class_exists('ffmpeg_movie')) 
{ 
echo "<div class=\"on\">FFmpeg: OK</div>\n"; 
} 
else 
{ 
echo "<div class=\"on\">FFmpeg: Нет<br />\n"; 
echo "* Без FFmpeg автоматическое создание скриношотов к видео недоступно</div>\n"; 
} 
 
if (ini_get('register_globals')==false) 
{ 
echo "<div class=\"on\">register_globals off: OK</div>\n"; 
} 
else 
{ 
echo "<div class=\"on\">register_globals on: !!!</div>\n"; 
$err[]='register_globals включен. Грубое нарушение безопасности'; 
} 
 
if (function_exists('mcrypt_cbc')) 
{ 
echo "<div class=\"on\">Шифрование COOKIE: OK</div>\n"; 
} 
else 
{ 
echo "<div class=\"on\">Шифрование COOKIE: нет<br />\n"; 
echo "* mcrypt не доступен</div>\n"; 
} 
echo '<div class="on">Постов в чате: '.$chat_posts.'<br /> 
Вопросов в чате: '.$chat_questions.'<br /> 
Файлов в обменнике: '.$files.'<br /> 
Постов в форуме: '.$forum_posts.'<br /> 
Статей в библиотеке: '.$lib_text.'<br /> 
Подарков: '.$gifts.'<br /> 
Смайлов: '.$smiles.'<br /> 
Номерков в магазине: '.$uins.'<br /> 
Пользователей: '.$users.'<br /> 
Размер базы данных: '.size($dbsize).'<br /> 
</div> 
<div class="where"><a href="index.php">Админ-панель</a></div>'; 
include '../style/'.$style.'/foot.php'; 
?>